BEGIN BSVALEN


IF ~See(Player1)
Gender(Player1,FEMALE)
Global("BodhiStrongholdPledged","LOCALS",0)
Global("BodhiStronghold","GLOBAL",2)~ THEN BEGIN pledgeMaster1F
   SAY ~I will serve you, my mistress!~
IF ~~ THEN DO ~SetGlobal("BodhiStrongholdPledged","LOCALS",1)~ EXIT
END

IF ~See(Player1)
!Gender(Player1,FEMALE)
Global("BodhiStrongholdPledged","LOCALS",0)
Global("BodhiStronghold","GLOBAL",2)~ THEN BEGIN pledgeMaster1M
   SAY ~I will serve you, my master!~
IF ~~ THEN DO ~SetGlobal("BodhiStrongholdPledged","LOCALS",1)~ EXIT
END


IF ~See(Player1)
  Gender(Player1,FEMALE)
  Global("ValenResurrected","GLOBAL",1)~
THEN BEGIN greetingStartF
   SAY ~You, bitch! You defeated our mistress! Why did you resurrect me?~
   ++ ~I want you to serve me or die.~ + briefingNV1
   ++ ~I have a weakness for women.~ + briefingNV1   
   ++ ~I wanted to kill you repeately!~ + briefing3f
END


IF ~See(Player1)
!Gender(Player1,FEMALE)
  Global("ValenResurrected","GLOBAL",1)~
THEN BEGIN greetingStart
   SAY ~You, bastard! You defeated our mistress! Why did you resurrect me?~
   ++ ~I want you to serve me or die.~ + briefingNV1
   ++ ~I have a weakness for women.~ + briefingNV1   
   ++ ~I wanted to kill you repeately!~ + briefing3f
END


IF ~~ briefingNV1
  SAY ~So you are more powerful, that my mistress was. I love power and success. Maybe you are not that bad.~
  ++ ~Join me, and you will get all the power you want.~ + briefing2
  ++ ~Join me. I need such power girl in my group.~ + briefing2  
  ++ ~You are free. I release you.~ + briefing3
  ++ ~Let's taste your power, beast!~ + briefing3f
END



IF ~~ briefing2
  SAY ~Just continue to be powerful. Or I'll kill you and take your place.~
  IF ~~ THEN DO ~
  MakeGlobal()
  SetGlobal("ValenResurrected","GLOBAL",2)
  DestroyItem("VVHVALEN")
  GiveItemCreate("VVCASKET",Myself,1,1,0) // Empty Casket		
  JoinParty()
  ~ EXIT
END

IF ~~ briefing3f
  SAY ~I'll rip your heart and eat it!~
  IF ~~ THEN DO ~SetGlobal("ValenResurrected","GLOBAL",2)
  SetGlobal("ValenLeft","GLOBAL",1)
Enemy()
//Berserk()
~ EXIT
END

IF ~~ briefing3
  SAY ~Goodbye, <CHARNAME>. You are too powerless for me.~
  IF ~~ THEN DO ~RunAwayFromNoInterrupt(Player1,50)
  SetGlobal("ValenResurrected","GLOBAL",2)
DestroySelf()
~ EXIT
END

//when thrown out
IF ~Gender(Player1,MALE)
!Global("BodhiStronghold","GLOBAL",2)
!InParty(Myself)~ THEN BEGIN GreetingVManB1
SAY ~Do you need me, my master?~ 
 ++ ~Come with me, Valen, I need your skills.~ + notparty1
 ++ ~Stay here, Valen, I will return.~ + notparty2
  ++ ~You are free to go. I release you.~ + briefing3 
 ++ ~I decided to end your life.~ + briefing3f
END

IF ~~ notparty2
SAY ~Okay, master!~
IF ~~ THEN DO ~~ EXIT
END

IF ~Gender(Player1,FEMALE)
!Global("BodhiStronghold","GLOBAL",2)
!InParty(Myself)~ THEN BEGIN GreetingVFemB1
SAY ~Do you need me, my mistress?~ 
 ++ ~Come with me, Valen, I need your skills.~ + notparty1
 ++ ~Stay here, Valen, I will return.~ + notparty2
  ++ ~You are free to go. I release you.~ + briefing3  
 ++ ~I decided to end your life.~ + briefing3f
END

IF ~Gender(Player1,FEMALE)
Global("BodhiStronghold","GLOBAL",2)
!InParty(Myself)~ THEN BEGIN GreetingVFemB1
SAY ~Do you need me, my mistress?~ 
 ++ ~Come with me, Valen, I need your skills.~ + notparty1
 ++ ~Go to our Stronghold in Grave Yard District. I will find you there, if it will be needed.~ + notpartGoST
 ++ ~Stay here, Valen, I will return.~ + notparty2
  ++ ~You are free to go. I release you.~ + briefing3  
 ++ ~I decided to end your life.~ + briefing3f
END


IF ~Gender(Player1,MALE)
Global("BodhiStronghold","GLOBAL",2)
!InParty(Myself)~ THEN BEGIN GreetingVMAleB1
SAY ~Do you need me, my master?~ 
 ++ ~Come with me, Valen, I need your skills.~ + notparty1
 ++ ~Go to our Stronghold in Grave Yard District. I will find you there, if it will be needed.~ + notpartGoST
 ++ ~Stay here, Valen, I will return.~ + notparty2
  ++ ~You are free to go. I release you.~ + briefing3  
 ++ ~I decided to end your life.~ + briefing3f
END

IF ~~ notparty1m
  SAY ~It will be a good hunt!~
  IF ~~ THEN DO ~
	//	DestroyItem("VVValen")
	//	DestroyItem("MONHP1")
		JoinParty()~ EXIT
END

IF ~~ notparty1
  SAY ~It will be a good hunt!~
  IF ~~ THEN DO ~
		JoinParty()~ EXIT
END

IF ~~ notpartGoST
   SAY ~Will see here. If you don't get killed.~
   IF ~~ THEN DO ~LeaveParty()
   RunAwayFromNoInterrupt(Player1,40)
   MoveBetweenAreas("AR0808",[721.1441],S)~ EXIT
 END  

// talk in party

IF ~Gender(Player1,MALE)
InParty(Myself)
Race(Player1,VAMPIRE)~ THEN BEGIN GreetingManV1
SAY ~My master, do you need something from me?~ 
 ++ ~Are you hungry? You can suck my blood, Valen.~ + suckblood
 ++ ~Tell me your story, Valen.~ + talkValenM
 ++ ~No, nothing right now, Valen.~ + byesilent
  ++ ~I decided to end your life.~ + briefing3f
END

IF ~Gender(Player1,FEMALE)
InParty(Myself)
Race(Player1,VAMPIRE)~ THEN BEGIN GreetingFemV1
SAY ~My mistress, do you need something from me?~ 
 ++ ~Are you hungry? You can suck my blood, Valen.~ + suckblood
 ++ ~Tell me your story, Valen.~ + talkValenF
 ++ ~No, nothing right now, Valen.~ + byesilent
  ++ ~I decided to end your life.~ + briefing3f
END

IF ~Gender(Player1,MALE)
InParty(Myself)
!Race(Player1,VAMPIRE)~ THEN BEGIN GreetingMan1
SAY ~<CHARNAME>, do you need something from me?~ 
 ++ ~Are you hungry? You can suck my blood, Valen.~ + suckblood
 ++ ~Make me a vampire, Valen.~ + vampconvm
 ++ ~Tell me your story, Valen.~ + talkValenM
 ++ ~No, nothing right now, Valen. Sorry.~ + byesilent
   ++ ~I decided to end your life.~ + briefing3f
END

IF ~Gender(Player1,FEMALE)
InParty(Myself)
!Race(Player1,VAMPIRE)~ THEN BEGIN GreetingFem1
SAY ~<CHARNAME>, do you need something from me?~ 
 ++ ~Are you hungry? You can suck my blood, Valen.~ + suckblood
 ++ ~Make me a vampire, Valen.~ + vampconvf 
 ++ ~Tell me your story, Valen.~ +   talkValenM
 ++ ~No, nothing right now, Valen. Sorry for disturbance.~ + byesilent
   ++ ~I decided to end your life.~ + briefing3f
END

IF ~~ byesilent
SAY ~Hahaha, are you afraid of me?~
  IF ~~ THEN DO ~~ EXIT
END


IF ~~ talkValenM
  SAY ~I lost parents at age of twelve. I had two possible way - to become a courtesan or to become a thief. I have chosen second way and joined Shadow Thieves. They were visious bastards, but I somehow changed myself.~
  IF ~~ THEN GOTO talkValenM2
END

IF ~~ talkValenM2
  SAY ~When Bodhi decided to destroy Shadow Thieves, she contacted me. I found her a several thieves who wanted to live forever, snd she had quite an army very soon.~
  IF ~~ THEN GOTO talkValenM3
END

IF ~~ talkValenM3
  SAY ~Bodhi was grateful and made me into her most close fighter.~
  IF ~~ THEN EXIT
END


IF ~~ talkValenF
  SAY ~I lost parents at age of twelve. I had two possible way - to become a courtesan or to become a thief. I have chosen second way and joined Shadow Thieves. They were visious bastards, but I somehow changed myself.~
  IF ~~ THEN GOTO talkValenF2
END

IF ~~ talkValenF2
   SAY ~When Bodhi decided to destroy Shadow Thieves, she contacted me. I found her a several thieves who wanted to live forever, snd she had quite an army very soon.~
END

IF ~~ talkValenF3
  SAY ~Bodhi was grateful and made me into her most close fighter.~
   IF ~~ THEN EXIT
END



IF ~~ suckblood
  SAY ~You just only ask.~
  IF ~!Global("Player1RaceBlood","GLOBAL",4)~ THEN GOTO suckbloodNo  
  IF ~Global("Player1RaceBlood","GLOBAL",4)~ THEN GOTO suckblood2
END

IF ~~ suckbloodNo
  SAY ~Foo! Your blood is a waste!~
  IF ~~ THEN DO ~~ EXIT
END



IF ~~ suckblood2
  SAY ~Rrrrrr!~
  IF ~~ THEN DO ~ApplyDamagePercent(Player1,85,MAGIC)
  SetGlobalTimer("BloodlustTimer","LOCALS",ONE_DAY)
		ApplySpell(Myself,RESTORE_FULL_HEALTH)~ EXIT 
END




IF ~~ vampconvm
  SAY ~(Valen agressively embraces you by neck and gets closer.)~
  IF ~!Global("Player1RaceBlood","GLOBAL",4)~ THEN GOTO suckbloodNo  
  IF ~Global("Player1RaceBlood","GLOBAL",4)~ THEN GOTO vampconv2
END


IF ~~ vampconvf
  SAY ~(Valen's teeth go out and quickly bite you in your neck.)~
  IF ~!Global("Player1RaceBlood","GLOBAL",4)~ THEN GOTO suckbloodNo  
  IF ~Global("Player1RaceBlood","GLOBAL",4)~ THEN GOTO vampconv2
END

IF ~~ vampconv2
  SAY ~(Suddently you feel her teeths have pierced your skin and gone to carotid vein. Your blood start to split around you two. Blood flow is distracted and becomes pulsating. You feel that your blood flows into Valen.)~
IF ~~ GOTO vampconv3
END

IF ~~ vampconv3
  SAY ~(Soon you feel great weakness, your throuths are clouded. And you loose consciousness.)~
IF ~~ GOTO vampconv4
END

IF ~~ vampconv4
  SAY ~(...You open your eyes. World around you have changed. You have changed. You feel coldness of your body and immediately you feel all-consuming hunger growing in you.)~
IF ~~ GOTO vampconv5
END

IF ~~ vampconv5
  SAY ~(You are now undead, as you wished. Now you feel presence of Valen. Valen is surely a vicious and terrifing woman.)~

  IF ~~ THEN DO ~
  ActionOverride(Player1,SetGlobal("ActorVampirisedLevel","LOCALS",2))

		ChangeStat(Player1,STR,1,ADD)
		ChangeStat(Player1,WIS,-1,ADD)

		SetGlobal("ValenVampirized","GLOBAL",1)	
	~ EXIT
END


